Skip to main content

Retrieve a user (by id)

GET 

/api/users/by-id/:id

Retrieve a user by passing in the id.

Request​

Path Parameters

    id stringrequired

Responses​

The user object requested.

Schema

    id string

    Unique Id for the user

    firstName string

    User's first name

    lastName string

    User's last name

    email string

    User's email address

    phone string

    User's cell phone number

    adminNote string

    Internal admin note

    externalReference string

    The user's id in the partner's remote/login system, if the user was created via the external-reference endpoint. Null otherwise.

    customField1 string

    Custom Field 1

    customField2 string

    Custom Field 2

    customField3 string

    Custom Field 3

    customField4 string

    Custom Field 4

    customField5 string

    Custom Field 5

    address

    object

    addressLine1 string

    Street Address Line 1

    addressLine2 string

    Street Address Line 2

    city string

    City

    state string

    2 Letter State Code

    country string

    2 Letter Country Code

    zip string

    Zip

    policyAddress

    object

    addressLine1 string

    Street Address Line 1

    addressLine2 string

    Street Address Line 2

    city string

    City

    state string

    2 Letter State Code

    country string

    2 Letter Country Code

    zip string

    Zip

    additionalDrivers

    object[]

    Additional drivers, in the order they were added. Single-user endpoints: always a list, empty ([]) if the user has none. User lists: always null (not loaded); fetch the user by id to get them.

  • Array [

  • id string

    Driver id. Use it with PUT/DELETE /api/users/{userId}/drivers/{driverId}.

    firstName string

    First name

    middleName string

    Middle name

    lastName string

    Last name

    dateOfBirth string

    Date of birth, yyyy-MM-dd

    gender string

    Gender

    maritalStatus string

    Marital status

    relationshipToInsured string

    Relationship to the primary insured

    driversLicense string

    Driver's license number

    driversLicenseState string

    2 letter code of the state that issued the license

    education string

    Education

    occupation string

    Occupation

  • ]

  • policyInfo

    object

    Policy

    policyNumber string

    Policy Number

    startDate string

    Start Date

    endDate string

    End Date

    tosAnswer string

    Possible values: [None, Accepted, Declined]

    User's answer to terms of service for sharing data with Partner. (Only valid for certain partners)

    partnerCode string

    A code generated for the user to share with Partner. (Only valid for certain partners)

    dateRegistered string

    Time at which user was registered on the system

    updated string

    Last updated timestamp

    emailVerified boolean
    phoneVerified boolean
    fraud boolean
Loading...